﻿@model GoogleAuthenticatorViewModel

@{ 
    ViewBag.Title = "فعال سازی ورود دو مرحله ای با استفاده از Google Authenticator";
}

<div class="row">
    <div class="col-md-8">
        <h3>1. Xtoman را به اپلیکیشن Google Authenticator در موبایل خود اضافه کنید</h3>
        <p>برنامه Google Authenticator را در گوشی موبایل خود باز کنید و کد مقابل را به عنوان Secret Key در هنگام افزودن حساب جدید وارد نمایید یا به جای آن بارکد QR مقابل را اسکن نمایید.</p>
        <h3>2. کد 6 رقمی که برنامه Google Authenticator به شما می دهد را در اینجا وارد نمایید.</h3>
        <p>
            جهت تایید صحت ورود و فعال سازی ورود دو مرحله ای با استفاده از Google Authenticator کد 6 رقمی که برنامه روی موبایل به شما می دهد را در اینجا وارد نمایید و دکمه فعال سازی را بزنید.
        </p>
        <h4>با فعال سازی ورود دو مرحله ای برای هر بار ورود به سیستم کد 6 رقمی را از برنامه Google Authenticator دریافت نمایید و وارد حساب خود شوید.</h4>
        @using (Html.BeginForm("EnableGoogleAuthenticator", "Manage", FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(false)
            @Html.HiddenFor(m => m.SecretKey)
            @Html.HiddenFor(m => m.BarcodeUrl)
            <div class="form-group">
                @Html.LabelFor(m => m.Code, new { @class = "col-md-2 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.Code, new { @class = "form-control" })
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" class="btn btn-default" value="فعال سازی" />
                </div>
            </div>
        }
    </div>
    <div class="col-md-4">
        <img src="http://qrcode.kaywa.com/img.php?s=4&d=@(Model.BarcodeUrl)" />
        @Html.DisplayFor(m => m.SecretKey)
    </div>
</div>